# API get list virtual accounts

* **Purpose**: This is the API used to get list virtual accounts.
* **API**:
  * Path: ***v2/col/virtual-accounts***
  * Method: ***GET***
  * Request: Content-Type: ***application/json***

### **Request Parameter**

<table><thead><tr><th width="239">Parameter</th><th width="124">Data Type</th><th width="101">Required</th><th>Description</th></tr></thead><tbody><tr><td>pageIndex</td><td>Number</td><td>N</td><td>Pagination index (start from 1, default value is 1)</td></tr><tr><td>pageSize</td><td>Number</td><td>N</td><td>Current Page size (Default value is 20, maximum value is 500)</td></tr><tr><td>dateFr</td><td>Datetime String (ISO 8601)</td><td>N</td><td>Get records created from date</td></tr><tr><td>dateTo</td><td>Datetime String (ISO 8601)</td><td>N</td><td>Get records created to date</td></tr><tr><td>status</td><td>String</td><td>N</td><td>To filter virtual account list by status</td></tr><tr><td>authorizeStatus</td><td>String</td><td>N</td><td>To filter virtual account list by authorize status</td></tr><tr><td>requestId</td><td>String</td><td>N</td><td>To filter virtual account list by requestId when create VA</td></tr></tbody></table>

### **Response Data**

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>code</td><td>Number</td><td>Error code, refer to <a href="/pages/Z6i4pnK4y9vE73CiFAF9">table of error codes</a>.</td></tr><tr><td>data</td><td>Object</td><td><p>Return Object as follow:</p><pre class="language-postman_json"><code class="lang-postman_json">
{
  "totalDocs": Number, // Total records base on request params
  "totalPages": Number, // Total pages base on request pageSize
  "docs": Array of GetListVirtualAccountsResponse
}
</code></pre><p>Ref to <a href="#getlistvirtualaccountsresponse">GetListVirtualAccountsResponse</a> object.</p></td></tr><tr><td>message</td><td>String</td><td>Error description</td></tr><tr><td>neoResponseId</td><td>String</td><td>The ID of NeoX response</td></tr></tbody></table>

#### GetListVirtualAccountsResponse

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>merchantCode</td><td>String</td><td>Merchant Code</td></tr><tr><td>requestId</td><td>String</td><td>The requestId when creating virtual account.</td></tr><tr><td>virtualAccountRequestId</td><td>String</td><td>The ID of seller/business is provided by merchant.</td></tr><tr><td>bankAccountNumber</td><td>String</td><td>Virtual Account number.</td></tr><tr><td>accountName</td><td>String</td><td>Virtual Account name.</td></tr><tr><td>bankId</td><td>String</td><td>The bank swiftcode of virtual account.</td></tr><tr><td>status</td><td>String</td><td>Virtual account active status, include:<br>ACTIVE: Virtual account has been actived and can be used.<br>INACTIVE: Virtual account has been inactived and can not be used.</td></tr><tr><td>authorizeStatus</td><td>String</td><td>Virtual account authorize status, Include:<br>PENDING_KYC: KYC/KYB documents for VA were not uploaded.<br>VERIFYING: KYC/KYB documents for VA were uploaded, waiting to verify.<br>APPROVED: KYC/KYB documents for VA have been approved.<br>REJECT: KYC/KYB documents for VA have been rejected</td></tr><tr><td>createdAt</td><td>Datetime String (ISO 8601)</td><td>Record created time</td></tr><tr><td>updatedAt</td><td>Datetime String (ISO 8601)</td><td>Record last updated time</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/global/collections/integration/virtual-accounts/get-list-virtual-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
